Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLObjectQuantifiedRestrictionImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLObjectRestrictionImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLObjectQuantifiedRestrictionImpl

All Implemented Interfaces:
  Cloneable, OWLDescription, OWLObject, OWLObjectQuantifiedRestriction, OWLObjectRestriction, OWLRestriction, Serializable

Direct Known Subclasses:
  OWLObjectAllRestrictionImpl, OWLObjectSomeRestrictionImpl

public abstract class OWLObjectQuantifiedRestrictionImpl
extends OWLObjectRestrictionImpl
implements OWLObjectQuantifiedRestriction

A Restriction over an `OWLObjectProperty` that is quantified. Subinterfaces specify the quantifier.

Version:
  $Id: OWLObjectQuantifiedRestrictionImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLObjectQuantifiedRestrictionImpl(OWLDataFactoryImpl factory, OWLObjectProperty property, OWLDescription description)`

Method Summary
`OWLDescription` | `getDescription()`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectRestrictionImpl
`getObjectProperty, getProperty`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLObjectRestriction
`getObjectProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLRestriction
`getProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLDescription
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Constructor Detail

### OWLObjectQuantifiedRestrictionImpl

    public OWLObjectQuantifiedRestrictionImpl(OWLDataFactoryImpl factory,
                                              OWLObjectProperty property,
                                              OWLDescription description)

Method Detail

### getDescription

    public OWLDescription getDescription()

  Specified by:
    `getDescription` in interface `OWLObjectQuantifiedRestriction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb